Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886890 - Overwrite jenkins-agent-base imagestream
Summary: Overwrite jenkins-agent-base imagestream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Yaakov Selkowitz
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1890232
TreeView+ depends on / blocked
 
Reported: 2020-10-09 16:25 UTC by Yaakov Selkowitz
Modified: 2021-02-24 15:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 331 0 None closed Bug 1886890: Override jenkins-agent-base imagestream 2021-02-17 08:26:47 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:25:21 UTC

Description Yaakov Selkowitz 2020-10-09 16:25:38 UTC
Just like cluster-samples-operator already does for Jenkins itself and the Node.js and Maven agents, it should also overwrite the jenkins-agent-base imagestream so that users always get an image corresponding to their release of OpenShift.

Comment 1 Gabe Montero 2020-10-21 18:00:56 UTC
@XiuJuan - verification simply entails confirming that the images for the IST in the jenkins-agent-base imagestream in the openshift namespace comes from the install payload

Comment 3 XiuJuan Wang 2020-10-26 08:03:23 UTC
Verified with 4.7.0-0.nightly-2020-10-24-155529.

$oc describe is jenkins-agent-base -n openshift
Name:			jenkins-agent-base
Namespace:		openshift
Created:		7 hours ago
Labels:			samples.operator.openshift.io/managed=true
Annotations:		openshift.io/image.dockerRepositoryCheck=2020-10-26T00:53:04Z
			samples.operator.openshift.io/version=4.7.0-0.nightly-2020-10-24-155529
Image Repository:	image-registry.openshift-image-registry.svc:5000/openshift/jenkins-agent-base
Image Lookup:		local=false
Unique Images:		1
Tags:			1

latest
  tagged from quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7581ce480fb2028abc438d6c539566ef138a5845c74cecfab8cd41133ce185f5
    prefer registry pullthrough when referencing this tag

  Provides a Jenkins Base Agent to extend Jenkins agents
  Tags: jenkins

  * quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:7581ce480fb2028abc438d6c539566ef138a5845c74cecfab8cd41133ce185f5
      7 hours ago

Comment 6 errata-xmlrpc 2021-02-24 15:24:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.